
# Overview 

* Authentication to Gitea is possible with an account in uffd, regular authentication is only used for initial admin user  
* All users with group 'gitea_access' can access Gitea, the user in Gitea is created on first login 
* Users with group 'gitea_admin' are added to the Administrators group in Gitea 
* Additional groups are assigned if the name of the group matches in uffd and Gitea

# Setup OIDC Authentication via uffd 

Schritt 1: OpenID Connect Konfiguration in Uffd

    1. neuen Dienst erstellen
    2. OAuth2 Client-ID erstellen
        - Client-ID: gitea
        - Client-Secret: <geheim>
        - Redirect-URIs: https://<gitea-domain>/user/oauth2/uffd/callback

Schritt 2: Gitea für OpenID Connect konfigurieren

    1. login in gitea als admin
    2. Administratoreinstellungen > Indentität & Zugriff > Authentifizierungsquellen : Authentifizierungsquelle hinzufügen
        - Authentifizierungstyp: OAuth2
        - Authentifizierungsname: <uffd>
        - OAuth2-Anbieter: OpenID Connect
        - Client-ID: gitea
        - Client-Secret: <geheim>
        - OpenID-Connect-Auto-Discovery-URL: https://<Uffd-Server>/.well-known/openid-configuration
        - Claim-Name: groups
        - Gruppen-Claim-Wert für Administratoren: gitea_admin
        - Map claimed groups to Organization teams: <s. unten>
        - Remove users from synchronized teams: Ja
        - This Authentication Source is activated: Ja

    3. Mapping von Gruppen zu Organisationen / Teams: Das folgende Beispiel fügt alle benutzer mit der Gruppe 'gitea_testgroup' in uffd in die Organisation 'testgroup_org' und dort in das Team 'Owners' ein. Die Organisation und das Team müssen in Gitea vorher erstellt werden. 
        ```
        {
            "gitea_testgroup": { "testgroup_org": [ "Owners" ] }
        }
        ```

